package com.jeeplus.test.cw.workClientInfo.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.test.cw.workClientInfo.domain.CwManageLevelType;
import lombok.Data;

import javax.validation.constraints.Size;
import java.util.List;

/**
 * 财务-客户信息管理-管理级次分类
 * @TableName cw_manage_level_type
 */
@Data
public class CwManageLevelTypeDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 等级
     */
    private String level;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 父ids
     */
    private String parentIds;
    /**
     * 是否显示按钮  0 代表不显示  1代表显示 */
    @Size(min = 1, max = 1)
    private String isShow;

    /**
     * 子集合
     */
    private List<CwManageLevelType> childrenList;

    private static final long serialVersionUID = 1L;
}