package com.jeeplus.security.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * CAS的配置参数
 * @author: 王强
 * @create: 2023-04-20 10:40
 **/
@Component
@Data
public class CasProperties {
    @Value("${cas.server_host_url}")
    private String casServerUrl;

    @Value("${cas.server_host_login_url}")
    private String casServerLoginUrl;

    @Value("${cas.server_host_logout_url}")
    private String casServerLogoutUrl;

    @Value("${cas.app_server_host_url}")
    private String appServerUrl;

    @Value("${cas.app_login_url}")
    private String appLoginUrl;

    @Value("${cas.app_logout_url}")
    private String appLogoutUrl;
}
